html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.card {
    background-color: white;
    border: 1px solid #333;
    border-radius: .5rem;
    padding: .5rem;
    margin: 0 auto;
    animation: fade 250ms ease-in-out forwards;
}

.circle-container {
    display: flex;
    align-items: center;
}

.circle {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    background-color: #3f51b5;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.3rem;
}

.title {
    margin-left: 10px;
    font-size: 18px;
    color: #333;
}

.spinner-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

.spinner-text {
    margin-left: 20px;
    margin-top: 15px;
    font-size: 1.3em;
    font-weight: bold;
    color: midnightblue;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
